ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportQLOAD v.19 failing Error loading MQAPI DLL

Post new topicReply to topic
QLOAD v.19 failing Error loading MQAPI DLL View previous topic :: View next topic
Author Message
zpat
PostPosted: Tue Sep 05, 2017 1:42 am Post subject: QLOAD v.19 failing Error loading MQAPI DLL Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5468
Location: UK

Linux x86-64. MQ 7.1.0.7

I am trying to run QLOAD 1.9 and it gets this error

Quote:
./qload -m xxxx -i yyyyy -f zzzz
QLOAD Program by Paul Clarke [ V1.9 Build:Jun 26 2012 ]
Error loading MQAPI DLL RC(11)


I've tried . setmqenv -s

The MQ install is primary.

From another thread - Paul Clarke said:

Quote:
The error message "Error Loading MQ library RC(11)" is merely QLOAD saying it can't find your MQ libarary.

You should be able to get it working by setting environment variables MQIC_DLL_PATH or MQM_DLL_PATH to the location of your MQ libraries.

You can tell QLOAD to print out what it's searching for by setting environment variable MQACCESS_DEBUG to anything at all.


I tried setting MQM_DLL_PATH to /opt/IBMMQ/MQ71 (my full install path)
and also to /opt/IBMMQ/MQ71/lib and to lib64

Still no joy.

Quote:
QLOAD Program by Paul Clarke [ V1.9 Build:Jun 26 2012 ]
Loading '/opt/IBMMQ/MQ71/lib64/mqm'
Load failed /opt/IBMMQ/MQ71/lib64/mqm: cannot open shared object file: No such file or directory
Error loading MQAPI DLL mqm RC(11)


It seems to insist that "mqm" is part of the file path, but it isn't in my case.

Can I copy some MQ DLL files to the current directory? Which ones?

I need a solution that doesn't involve github as we don't have access to it.
_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
PaulClarke
PostPosted: Tue Sep 05, 2017 3:19 am Post subject: Reply with quote

Sentinel

Joined: 17 Nov 2005
Posts: 848
Location: New Zealand

Try setting an environment variable MQACCCESS_DEBUG (to anything) and run it again to see what it is trying to load.
I think QLOAD 1.9 was 32 bit so I would expect you to set MQM_DLL_PATH=/opt/IBMMQ/MQ71/lib (assuming that libmqm.so is in there)

Cheers,
Paul.
_________________
Paul Clarke
MQGem Software
www.mqgem.com
Back to top
View user's profile Send private message Visit poster's website
PaulClarke
PostPosted: Tue Sep 05, 2017 3:43 am Post subject: Reply with quote

Sentinel

Joined: 17 Nov 2005
Posts: 848
Location: New Zealand

I don't understand why the code is not replacing mqm with libmqm.so
What happens if you make it more explicit and add a -l libmqm.so parameter to your command ?
_________________
Paul Clarke
MQGem Software
www.mqgem.com
Back to top
View user's profile Send private message Visit poster's website
zpat
PostPosted: Tue Sep 05, 2017 4:24 am Post subject: Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5468
Location: UK

That's fixed it - Thanks!

Quote:
export MQM_DLL_PATH=/opt/IBMMQ/MQ71/lib64

./qload -m xxxx -i yyyy -f zzz -l libmqm.so

QLOAD Program by Paul Clarke [ V1.9 Build:Jun 26 2012 ]
Loading '/opt/IBMMQ/MQ71/lib64/libmqm.so'
Read - Files: 0 Messages: 0 Bytes: 0
Written - Files: 0 Messages: 0 Bytes: 0


Incidentally, it didn't work with 32 bit.

Quote:
Loading '/opt/IBMMQ/MQ71/lib/libmqm.so'
Load failed /opt/IBMMQ/MQ71/lib/libmqm.so: wrong ELF class: ELFCLASS32
Error loading MQAPI DLL RC(11)

_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
mqjeff
PostPosted: Tue Sep 05, 2017 4:34 am Post subject: Reply with quote

Grand Master

Joined: 25 Jun 2008
Posts: 17383

You might have to do .../lib32/libmqm.so to use 32 bit
_________________
Read, Think, Try, Repeat
Back to top
View user's profile Send private message
PaulClarke
PostPosted: Tue Sep 05, 2017 11:55 am Post subject: Reply with quote

Sentinel

Joined: 17 Nov 2005
Posts: 848
Location: New Zealand

zpat wrote:


Quote:
Loading '/opt/IBMMQ/MQ71/lib/libmqm.so'
Load failed /opt/IBMMQ/MQ71/lib/libmqm.so: wrong ELF class: ELFCLASS32
Error loading MQAPI DLL RC(11)


Ah Ok. I couldn't remember whether v1.9 was 32bit or 64bit.....I guess we now know

Anyway, can't say I understand why the -l parameter is necessary for you but at least you are working now. If ever you want to try the latest and greatest version of QLOAD then let me know and I'd be happy to send you a trial licence.

Cheers,
Paul.
_________________
Paul Clarke
MQGem Software
www.mqgem.com
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportQLOAD v.19 failing Error loading MQAPI DLL
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.